package com.ejie.ab79.model.actuaciones;

import com.ejie.ab79.model.inspecciones.OrigenesInspeccion;
import com.ejie.ab79.model.procedimientos.Direcciones;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * ResultadosActuacion  
 * 
 *  
 */

public class ResultadosActuacion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idResultadoActuacion;
	private Integer idOrigen;
	private Integer idDireccion;
	private Integer idInspeccion;
	private Direcciones direccion;
	private OrigenesInspeccion origenesInspeccion;
	private DesResAct desResAct;
	private Integer baja;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'ResultadosActuacion'.
	 */
	public ResultadosActuacion() {
	}

	/**
	 * Method 'ResultadosActuacion'.
	 * 
	 * @param idResultadoActuacion
	 *            Long
	 */
	public ResultadosActuacion(Long idResultadoActuacion) {
		this.idResultadoActuacion = idResultadoActuacion;
	}

	/**
	 * Method 'ResultadosActuacion'.
	 * 
	 * @param idResultadoActuacion
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public ResultadosActuacion(Long idResultadoActuacion,
			Date fechaRegistro, String usuarioRegistro) {

		this.idResultadoActuacion = idResultadoActuacion;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdResultadoActuacion'.
	 *
	 * @return Long
	 */

	public Long getIdResultadoActuacion() {
		return this.idResultadoActuacion;
	}

	/**
	 * Method 'setIdResultadoActuacion'.
	 *
	 * @param idResultadoActuacion
	 *            Long
	 * @return
	 */

	public void setIdResultadoActuacion(Long idResultadoActuacion) {
		this.idResultadoActuacion = idResultadoActuacion;
	}

	public Integer getIdOrigen() {
		return idOrigen;
	}

	public void setIdOrigen(Integer idOrigen) {
		this.idOrigen = idOrigen;
	}

	public Integer getIdDireccion() {
		return idDireccion;
	}

	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public Direcciones getDireccion() {
		return direccion;
	}

	public void setDireccion(Direcciones direccion) {
		this.direccion = direccion;
	}

	public OrigenesInspeccion getOrigenesInspeccion() {
		return origenesInspeccion;
	}

	public void setOrigenesInspeccion(OrigenesInspeccion origenesInspeccion) {
		this.origenesInspeccion = origenesInspeccion;
	}

	public DesResAct getDesResAct() {
		return desResAct;
	}

	public void setDesResAct(DesResAct desResAct) {
		this.desResAct = desResAct;
	}

	public Integer getBaja() {
		return baja;
	}

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
	
	/**
	 * Method 'getFechaUltmodificacion'.
	 * 
	 * @return java.util.Date 
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}
	
	/**
	 * Method 'setFechaUltmodificacion'.
	 * 
	 * @param fechaUltmodificacion
	 * 			  java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
	
	/**
	 * Method 'getUsuarioRegistro'.
	 * 
	 * @return String
	 */
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}
	
	/**
	 * Method 'setUsuarioUltmodificacion'
	 * 
	 * @param usuarioUltmodificacion
	 * 			  String
	 * 
	 * @return
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idResultadoActuacion: ").append(this.idResultadoActuacion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
